Assassin's Creed 2 Discovery AP.

Discussion in 'NDS - ROM Hacking and Translations' started by Sudden Osprey, Nov 12, 2009.

  1. Sudden Osprey
    OP

    Sudden Osprey Member

    Newcomer
    15
    0
    Sep 14, 2009
    United States
    There must be some sort of AP on Assassin's Creed 2. It won't load on R4 with YSMenu. It loads and goes strait to a white screen. Is anyone else having this problem? And is there a fix yet?
     


  2. iNFiNiTY

    iNFiNiTY GBAtemp Advanced Fan

    Member
    709
    158
    Apr 18, 2004
    I believe its because its a DSi hybrid, its not protection. You'll need a firmware update for it.
     
  3. Liger_Gundam

    Liger_Gundam Member

    Newcomer
    17
    0
    Dec 28, 2008
    United States
    DSi Functionality: Take a picture and put yourself in the ‘WANTED!’ posters in-game.

    Yeah what he said.
    Although it seems like a waste of a function... >_>
     
  4. snowkid2themax

    snowkid2themax Member

    Newcomer
    20
    0
    Oct 23, 2008
    United States
    Loads up fine on my Cyclo 1.55 and Acekard 2i with AKAIO 1.5
     
  5. Liger_Gundam

    Liger_Gundam Member

    Newcomer
    17
    0
    Dec 28, 2008
    United States
    R4: Loads then immediate White Screen
    R4 w/ YSMenu: Rom Loading Failure

    It's good to hear that it at least works on the others. [​IMG]
     
  6. I am r4ymond

    I am r4ymond PFE

    Member
    1,703
    1
    Sep 18, 2009
    United States
    Ionia
    Yeah...I'm using an R4 with YSMenu and it says it is a "Rom Loading Problem or Failure"

    It's the work of Ubisoft :l
     
  7. r0man

    r0man GBAtemp Regular

    Member
    102
    0
    Oct 17, 2009
    United States
    Seattle, USA
    On my DSTT with both YSMenu and TTMENU (latest unofficial) it says "load rom errcode=-4". So I guess it's not antipiracy.
     
  8. Rayder

    Rayder Mostly lurking lately....

    Former Staff
    6,613
    130
    Jan 14, 2007
    United States
    USA
    CycloDS 1.56b3.....running fine.....played through a bunch of checkpoints. Seems like a LOT better game than the first AC.
     
  9. BakuFunn

    BakuFunn Flameproof.

    Member
    1,174
    1
    Apr 6, 2007
    United States
    New York
    It seems like it only works with the CycloDS and a few DSi cards. Doesn't work on regular flashcards.

    This is includes the R4/M3 Simply, DSTT, Acekard 2 (NOT ACEKARD 2i, POSSIBLY) and other cards. Most R4 clones will be expected to NOT work.

    Seems like a good game. I ended up re-downloading it a few times, thinking I had a corrupted download or a bad dump. It shows up with an icon on a DSTT, but has a "Disk Errcode = -4" on it and ysmenu.

    I'm fine with that though. I don't really need another game right now.
     
  10. Sudden Osprey
    OP

    Sudden Osprey Member

    Newcomer
    15
    0
    Sep 14, 2009
    United States
    Do you think there is anything to do to get it to work.. a patch or something maybe?
     
  11. Hisiru

    Hisiru GBAtemp Regular

    Member
    213
    0
    Dec 21, 2008
    Brazil
    This is working on the Acekard2 (using akaio 1.5) and Acekard2i.
     
  12. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    You can try backing up all your files, formatting your card and then copying YSMenu + games + apps back on to your card.
    I got that error message a few times after using the latest YSMenu+DSTT1.07a07 at first.
     
  13. Roamin64

    Roamin64 Advanced Member

    Newcomer
    69
    24
    May 24, 2007
    Canada
    It works on my EZVi with my DSi , but in the Wanted! feature, it says it needs a DSi to use and just exits. Using Kernel 2.0 RC7
     
  14. ramar

    ramar Advanced Member

    Newcomer
    83
    2
    Dec 6, 2008
    Mexico
    Mexico
    It also works with EZ V+, using kernel 2.0 RC7

    I'm really enjoying it, it's way better that the last one; I put down the other one after only 15 minutes of play, but I've played like 2 hours of this one... so far so good =D
     
  15. Delirious17

    Delirious17 GBAtemp Regular

    Member
    111
    2
    Jun 23, 2009
    United States
    Not working for M3DS Real...any suggestions?
     
  16. I am r4ymond

    I am r4ymond PFE

    Member
    1,703
    1
    Sep 18, 2009
    United States
    Ionia
    I think this is a DSi-built game only...Maybe it was never supposed to work for Original Flashcarts. Will only work on DSi Flashcarts?
     
  17. sun vulcan

    sun vulcan Member

    Newcomer
    17
    0
    Mar 14, 2009
    Brazil
    Just work on flashcards with DSi-enhanced support.
     
  18. Hisiru

    Hisiru GBAtemp Regular

    Member
    213
    0
    Dec 21, 2008
    Brazil
    This game works on:
    -EzflashV+ (confirmed by a lot of people)
    -Acekard2 using AKAIO 1.5 (confirmed by a lot of people)
    -Supercard DS One without save (confirmed by 3 guys)
    -CycloDS Evolution firmware 1.56 beta 3 (confirmed by a lot of people)
     
  19. anaxs

    anaxs got milk, got candy

    Member
    2,208
    1
    Mar 23, 2009
    Canada
    your moms jeans pocket
    you actually think a brand new dsi hybrid game would work on the r4
     
  20. rockstar99

    rockstar99 Hi

    Member
    7,375
    156
    Dec 3, 2008
    Canada
    Toronto
    Works great on CycloDS Evolution Version 1.56B3
    Loving the game btw!